#include "actor_world_state.hpp"

namespace goap {
void ActorWorldState::_bind_methods() {
#define CLASSNAME ActorWorldState
}

bool ActorWorldState::check_property_match(WorldProperty const &property) {
    return this->get_world_property(property.key) == property.value;
}

gd::Variant ActorWorldState::get_world_property(gd::String world_prop_name) {
    return this->call("get_" + world_prop_name);
}
}
